diff -up php-5.3.9/build/buildcheck.sh.aconf259 php-5.3.9/build/buildcheck.sh
--- php-5.3.9/build/buildcheck.sh.aconf259	2011-05-18 21:55:34.000000000 +0200
+++ php-5.3.9/build/buildcheck.sh	2012-01-10 19:05:11.754924053 +0100
@@ -28,33 +28,23 @@ if test -z "$PHP_AUTOCONF"; then
   PHP_AUTOCONF='autoconf'
 fi
 
-# autoconf 2.13 or newer
+# autoconf 2.59 or newer
 ac_version=`$PHP_AUTOCONF --version 2>/dev/null|head -n 1|sed -e 's/^[^0-9]*//' -e 's/[a-z]* *$//'`
 if test -z "$ac_version"; then
 echo "buildconf: autoconf not found."
-echo "           You need autoconf version 2.13 or newer installed"
+echo "           You need autoconf version 2.59 or newer installed"
 echo "           to build PHP from SVN."
 exit 1
 fi
 IFS=.; set $ac_version; IFS=' '
-if test "$1" = "2" -a "$2" -lt "13" || test "$1" -lt "2"; then
+if test "$1" = "2" -a "$2" -lt "59" || test "$1" -lt "2"; then
 echo "buildconf: autoconf version $ac_version found."
-echo "           You need autoconf version 2.13 or newer installed"
+echo "           You need autoconf version 2.59 or newer installed"
 echo "           to build PHP from SVN."
 exit 1
 fi
 
-if test "$1" = "2" -a "$2" -gt "59"; then
-  echo "buildconf: You need autoconf 2.59 or lower to build this version of PHP."
-  echo "           You are currently trying to use $ac_version"
-  echo "           Most distros have separate autoconf 2.13 or 2.59 packages."
-  echo "           On Debian/Ubuntu both autoconf2.13 and autoconf2.59 packages exist."
-  echo "           Install autoconf2.13 and set the PHP_AUTOCONF env var to "
-  echo "           autoconf2.13 and try again."
-  exit 1
-else
-  echo "buildconf: autoconf version $ac_version (ok)"
-fi
+echo "buildconf: autoconf version $ac_version (ok)"
 
 if test "$1" = "2" -a "$2" -ge "50"; then
   ./vcsclean
diff -up php-5.3.9/configure.in.aconf259 php-5.3.9/configure.in
--- php-5.3.9/configure.in.aconf259	2012-01-10 19:05:44.787924857 +0100
+++ php-5.3.9/configure.in	2012-01-10 19:06:55.260926529 +0100
@@ -1,28 +1,6 @@
 ## $Id: configure.in 322014 2012-01-10 11:21:57Z johannes $ -*- autoconf -*-
 dnl ## Process this file with autoconf to produce a configure script.
 
-divert(1)
-
-dnl ## Diversion 1 is the autoconf + automake setup phase. We also
-dnl ## set the PHP version, deal with platform-specific compile
-dnl ## options and check for the basic compile tools.
-
-dnl ## Diversion 2 is the initial checking of OS features, programs,
-dnl ## libraries and so on.
-
-dnl ## In diversion 3 we check for compile-time options to the PHP
-dnl ## core and how to deal with different system dependencies. 
-dnl ## This includes whether debugging or short tags are enabled
-dnl ## and the default behaviour of php.ini options.
-dnl ## This is also where an SAPI interface is selected (choosing between
-dnl ## Apache module, CGI etc.)
-
-dnl ## In diversion 4 we check user-configurable general settings.
-
-dnl ## In diversion 5 we check which extensions should be compiled.
-dnl ## All of these are normally in the extension directories.
-dnl ## Diversion 5 is the last one.  Here we generate files and clean up.
-
 dnl include Zend specific macro definitions first
 dnl -------------------------------------------------------------------------
 sinclude(Zend/acinclude.m4)
@@ -30,8 +8,9 @@ sinclude(Zend/acinclude.m4)
 dnl Basic autoconf + automake initialization, generation of config.nice.
 dnl -------------------------------------------------------------------------
 
-AC_PREREQ(2.13)
+AC_PREREQ(2.59)
 AC_INIT(README.SVN-RULES)
+ifdef([AC_PRESERVE_HELP_ORDER], [AC_PRESERVE_HELP_ORDER], [])
 
 PHP_CONFIG_NICE(config.nice)
 
@@ -292,14 +271,6 @@ sinclude(TSRM/threads.m4)
 sinclude(TSRM/tsrm.m4)
 
 
-divert(2)
-
-dnl ## Diversion 2 is where we set PHP-specific options and come up
-dnl ## with reasonable default values for them. We check for pthreads here
-dnl ## because the information is needed by the SAPI configuration.
-dnl ## This is also where an SAPI interface is selected (choosing between
-dnl ## Apache module, CGI etc.)
-
 dnl .
 dnl -------------------------------------------------------------------------
 
@@ -331,13 +302,6 @@ if test "$enable_maintainer_zts" = "yes"
   PTHREADS_FLAGS
 fi
 
-divert(3)
-
-dnl ## In diversion 3 we check for compile-time options to the PHP
-dnl ## core and how to deal with different system dependencies. 
-dnl ## This includes whether debugging or short tags are enabled
-dnl ## and the default behaviour of php.ini options.
-
 dnl Starting system checks.
 dnl -------------------------------------------------------------------------
 
@@ -685,10 +649,6 @@ if test "x$php_crypt_r" = "x1"; then
   PHP_CRYPT_R_STYLE
 fi
 
-divert(4)
-
-dnl ## In diversion 4 we check user-configurable general settings.
-
 dnl General settings.
 dnl -------------------------------------------------------------------------
 PHP_CONFIGURE_PART(General settings)
@@ -926,11 +886,6 @@ else
   AC_MSG_RESULT([using system default])
 fi
 
-divert(5)
-
-dnl ## In diversion 5 we check which extensions should be compiled.
-dnl ## All of these are normally in the extension directories.
-
 dnl Extension configuration.
 dnl -------------------------------------------------------------------------
 
diff -up php-5.3.9/ext/standard/config.m4.aconf259 php-5.3.9/ext/standard/config.m4
--- php-5.3.9/ext/standard/config.m4.aconf259	2012-01-10 19:09:03.896929612 +0100
+++ php-5.3.9/ext/standard/config.m4	2012-01-10 19:09:54.290930815 +0100
@@ -1,7 +1,5 @@
 dnl $Id: config.m4 300511 2010-06-17 10:22:03Z pajoye $ -*- autoconf -*-
 
-divert(3)dnl
-
 dnl
 dnl Check if flush should be called explicitly after buffered io
 dnl
@@ -342,8 +340,6 @@ dnl
 AC_CHECK_FUNCS(getcwd getwd asinh acosh atanh log1p hypot glob strfmon nice fpclass isinf isnan mempcpy strpncpy)
 AC_FUNC_FNMATCH	
 
-divert(5)dnl
-
 dnl
 dnl Check if there is a support means of creating a new process
 dnl and defining which handles it receives
diff -up php-5.3.9/scripts/php-config.in.aconf259 php-5.3.9/scripts/php-config.in
--- php-5.3.9/scripts/php-config.in.aconf259	2011-04-18 13:13:37.000000000 +0200
+++ php-5.3.9/scripts/php-config.in	2012-01-10 19:05:11.755924053 +0100
@@ -2,6 +2,7 @@
 
 SED="@SED@"
 prefix="@prefix@"
+datarootdir="@datarootdir@"
 exec_prefix="@exec_prefix@"
 version="@PHP_VERSION@"
 vernum="@PHP_VERSION_ID@"
diff -up php-5.3.9/scripts/phpize.in.aconf259 php-5.3.9/scripts/phpize.in
--- php-5.3.9/scripts/phpize.in.aconf259	2009-06-24 09:42:33.000000000 +0200
+++ php-5.3.9/scripts/phpize.in	2012-01-10 19:05:11.755924053 +0100
@@ -2,6 +2,7 @@
 
 # Variable declaration
 prefix='@prefix@'
+datarootdir='@datarootdir@'
 exec_prefix="`eval echo @exec_prefix@`"
 phpdir="`eval echo @libdir@`/build"
 includedir="`eval echo @includedir@`/php"
diff -up php-5.3.9/scripts/phpize.m4.aconf259 php-5.3.9/scripts/phpize.m4
--- php-5.3.9/scripts/phpize.m4.aconf259	2010-11-02 10:58:08.000000000 +0100
+++ php-5.3.9/scripts/phpize.m4	2012-01-10 19:05:11.755924053 +0100
@@ -1,9 +1,8 @@
 dnl This file becomes configure.in for self-contained extensions.
 
-divert(1)
-
-AC_PREREQ(2.13)
+AC_PREREQ(2.59)
 AC_INIT(config.m4)
+ifdef([AC_PRESERVE_HELP_ORDER], [AC_PRESERVE_HELP_ORDER], [])
 
 PHP_CONFIG_NICE(config.nice)
 
